--- /usr/share/emacs/site-lisp/debian-el/debian-bug.el	2004-11-26 07:29:35.000000000 +1100
+++ debian-bug.el	2005-01-04 09:49:52.000000000 +1100
@@ -1597,8 +1597,15 @@
 ;;;###autoload
 (defun debian-bug-get-bug-as-email (&optional bug-number)
   "Read bug report #BUG-NUMBER via Email interface."
-  (interactive (list (completing-read "Bug number to fetch: "
-                                      debian-bug-alist nil nil)))
+  (interactive (progn
+                 ;; a second gnus in a second emacs can clobber .newsrc, ask
+                 ;; the user to start gnus where they want it
+                 (if (and (eq mail-user-agent 'gnus-user-agent)
+                          (not (and (fboundp 'gnus-alive-p)
+                                    (gnus-alive-p))))
+                     (error "Please start `gnus' (or `gnus-slave') first"))
+                 (list (completing-read "Bug number to fetch: "
+                                        debian-bug-alist nil nil))))
   (cond
    ((and (eq mail-user-agent 'mh-e-user-agent)
          (featurep 'mh-inc))
@@ -1626,6 +1633,14 @@
         (let ((filename (debian-bug-wget-mbox bug-number)))
           (mh-inc-folder filename mh-e-folder)
           (delete-file filename)))))
+   ((eq mail-user-agent 'gnus-user-agent)
+    (gnus-group-read-ephemeral-group
+     bug-number `(nndoc "bug"
+                        (nndoc-address ,(debian-bug-wget-mbox bug-number))
+                        (nndoc-article-type mbox))
+     nil
+     ;; restore current window configuration after quitting the summary
+     (cons (current-buffer) (current-window-configuration))))
    (t
     ;; rmail
     (let ((filename (debian-bug-wget-mbox bug-number)))
